#!/bin/sh
#Author : Alessio Portaro
#Time : Mer 23 Mag 2018 23:02:28 CEST
#____________________________________________________________________

#get current user name

custom_user = $USER

#INSTALL DEPENDENCIES

#homebrew

/usr/bin/ruby -e "$(curl -fsSL https://raw.githubusercontent.com/Homebrew/install/master/install)"

#erlang

brew install erlang

#link erlang

brew link erlang

#rebar3

brew install rebar3

#if needed install git via :
# brew install git

#API INSTALLATION

#tunctl API

mkdir /Users/$custom_user/tunctl_installation

cd /Users/$custom_user/tunctl_installation

git clone https://github.com/msantos/tunctl.git

git clone https://github.com/msantos/procket.git

mv procket tunctl/include

cd tunctl/include/procket

make --makefile=Makefile -d

cd ./../..

sed -i.txt 's/deps/\ /g' make

make --makefile=Makefile -d